
Redmine - Feature #3584

Allow creating of issues in private projects by anonymous/non member via email

2009-07-04 19:09 - Maik Derstappen

Status: Closed Start date: 2009-07-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

i was wondering why i cant create issues as anonymous in my private project.

we will use this for an customer tracker like support@example.com and the customers should send all mails to this account. But we

don't want the whole project to be public. We don't want to show all customer mails to the www ;-).

is there a way to do this with redmine?

thx maik

Related issues:

Has duplicate Redmine - Defect #3763: 'Create Issues' Permission for Non-Memb... Closed 2009-08-20

Is duplicate of Redmine - Defect #4407: Accept emails from anyone on a privat... Closed 2009-12-15

History

#1 - 2009-11-13 11:28 - Jean-Philippe Lang

- Subject changed from allow creating of issues for anonymous in private projects to Allow creating of issues in private projects by anonymous/non

member via email

#2 - 2009-11-13 16:59 - Ignacio Carrera

I second this. I need to allow users created on-the-fly via LDAP to add issues to a non-public project via email (and read wiki articles).

Right now this is what's bothering me (User model):

  def allowed_to?(action, project, options={})

    ...

      role.allowed_to?(action) && (project.is_public? || role.member?)

    ...

  end

 The problem is that I need a non-member to read wiki articles and add issues while not allowing an anonymous user to list or see issues.

I simply commented out && (project.is_public? || role.member?) (the first check handles anonymous users great).

-- nachokb

#3 - 2009-11-28 13:17 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#4 - 2013-02-26 05:43 - Daniel Black

This original request here is fully supported now.

extra/mail_handler/rdm-mailhandler.rb has options --project=unassigned --category=bug .... --unknown-user=create --no-permission-check  and this is

also replicated in pop3 and imap fetching of emails.

comment 2 - ldap permissions - don't know -probably handled. There's probably a small problem with the permission model - #13287

#5 - 2013-02-27 05:14 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate
mailto:support@example.com
https://www.redmine.org/issues/13287


Daniel Black wrote:

This original request here is fully supported now.

extra/mail_handler/rdm-mailhandler.rb has options --project=unassigned --category=bug .... --unknown-user=create --no-permission-check  and

this is also replicated in pop3 and imap fetching of emails.

 Indeed, this old request was superseded by #4407, which was fixed with r3195 for Redmine 0.9.0.
